org.eclipse.lyo.oslc4j.application

## Class OslcWinkApplication

- java.lang.Object
- - javax.ws.rs.core.Application
  - - org.apache.wink.common.WinkApplication
    - - org.eclipse.lyo.oslc4j.application.OslcWinkApplication

- Direct Known Subclasses:
    Oslc4JRegistryApplication

      public abstract class OslcWinkApplication
      extends org.apache.wink.common.WinkApplication

  This class extends `WinkApplication` and supports a generic ResourceShape JAX-RS resource.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Set<Object>` | `instances`
    `protected Set<Class<?>>` | `resourceClasses`

    - ### Fields inherited from class org.apache.wink.common.WinkApplication

      `DEFAULT_PRIORITY, SYSTEM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OslcWinkApplication(Set<Class<?>> resourceClasses, String resourceShapesPath)`
    `OslcWinkApplication(Set<Class<?>> resourceClasses, String resourceShapesPath, Map<String,Class<?>> resourcePathToResourceClassMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class<?>>` | `getClasses()`
    `Set<Object>` | `getInstances()`
    `double` | `getPriority()`

    - ### Methods inherited from class javax.ws.rs.core.Application

      `getSingletons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instances

          protected final Set<Object> instances

    - #### resourceClasses

          protected final Set<Class<?>> resourceClasses

  - ### Constructor Detail

    - #### OslcWinkApplication

          public OslcWinkApplication(Set<Class<?>> resourceClasses,
                             String resourceShapesPath,
                             Map<String,Class<?>> resourcePathToResourceClassMap)
                              throws OslcCoreApplicationException,
                                     URISyntaxException

      Parameters:
        `resourceClasses` - The set of resource classes to be exposed via `Application.getClasses()`.
        `resourceShapesPath` - The JAX-RS path to the resource shapes resource.
        `resourcePathToResourceClassMap` - A mapping from a resource path to its related Java bean.
      Throws:
        `URISyntaxException`
        `OslcCoreApplicationException`

    - #### OslcWinkApplication

          public OslcWinkApplication(Set<Class<?>> resourceClasses,
                             String resourceShapesPath)
                              throws OslcCoreApplicationException,
                                     URISyntaxException

      Throws:
        `OslcCoreApplicationException`
        `URISyntaxException`

  - ### Method Detail

    - #### getClasses

          public final Set<Class<?>> getClasses()

      Overrides:
        `getClasses` in class `org.apache.wink.common.WinkApplication`

    - #### getInstances

          public final Set<Object> getInstances()

      Overrides:
        `getInstances` in class `org.apache.wink.common.WinkApplication`

    - #### getPriority

          public final double getPriority()

      Overrides:
        `getPriority` in class `org.apache.wink.common.WinkApplication`

Copyright © 2016. All rights reserved.